/*
 * $Id: Mailer.java,v 1.5 2000/09/20 05:05:59 brydon Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.mail.ejb;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * This interface provides method to send order confirmation
 * mail to the client
 */
public interface Mailer extends EJBObject {

    /**
     * Sends an email message to confirm completion of an
     * order.
     * @param  orderId  is used to generate the contents of the
     *                  message
     * throws RemoteException if an error occurs while trying to
     *        send the email message
     */
    public void sendMail(EMailMessage eMess)
        throws RemoteException, SendMailException;
}
