package com.sun.j2ee.blueprints.petstore.util;

import com.sun.j2ee.blueprints.petstore.control.DuplicateAccountException;
import javax.servlet.http.HttpSession;

/**
 * This interface is implemented by a class that contains
 * non-portable security code.
 */
public interface SecurityAdapter {

   /**
   * This method adds a user with the specified password to
   * the specified group within a realm.
   *
   * @throws  DupplicateAccountException if the userName
   *          already exists
   */
   public void addUser(String realmName, String group, String userName, String password) throws DuplicateAccountException;

   /**
   * Programatically Logs a user into the form based login
   * mechamism of a web server when a new account is created.
   * This prevents the user from having to log in after
   * a new account is created.
   */
   public void loginUser(String userName, String password, HttpSession session);
}
